Bug 141762 - __pa usage in ia64 code should be ia64_tpa
__pa usage in ia64 code should be ia64_tpa
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
ia64 Linux
medium Severity high
: ---
: ---
Assigned To: Jason Baron
Brian Brock
impact=important,public=20041116
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-03 12:04 EST by Jason Baron
Modified: 2013-03-06 00:58 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-15 13:28:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jason Baron 2004-12-03 12:04:15 EST
*** This bug has been split off bug 139571 ***

Jesse Barnes noted that cat'ing /proc/pal/cpu0/tr_info several times
led to a kernel hang.

As a result of the investigation it was noted that __pa was used where
ia64_tpa should have been used.

There has been a discussion on linux-ia64 which can be viewed here:

http://marc.theaimsgroup.com/?l=linux-ia64&m=110056840729519&w=2

------- Additional comment by Prarit Bhargava on 2004.11.16 14:23 -------

Created an attachment (id=106834)
Patch to fix __pa usage in ia64


------- Additional comment by Josh Bressers (Security Response Team) on
2004.11.18 14:13 -------

Do we know which versions of our kernels are affected by this issue? 
From an initial look, it would seem only 2.6, but obviously I'm not
the best person to answer that question.
Comment 1 Jason Baron 2004-12-03 12:05:36 EST
this is an issue for RHEL3 as well...tracking bug
Comment 2 Jason Baron 2004-12-15 13:28:53 EST
this actually isn't an issue for 2.4 based kernels, b/c the kernel is
identity mapped in region 7. closing.
Comment 3 Mark J. Cox (Product Security) 2004-12-15 13:39:44 EST
Marcelo agrees; removing from tracking.

Note You need to log in before you can comment on or make changes to this bug.